summaryrefslogtreecommitdiffstats
path: root/misc/tangogps/tangogps.SlackBuild
diff options
context:
space:
mode:
author Pedro Mendes2010-05-13 00:59:32 +0200
committer Robby Workman2010-05-13 00:59:32 +0200
commit572eb8c381edae2ce775facd2392a5d0ab286462 (patch)
tree2a6feb985f2afb9fb8aaebdad8e7880898680b87 /misc/tangogps/tangogps.SlackBuild
parent60e777549fb71112a613144d28eceb555a8e2481 (diff)
downloadslackbuilds-572eb8c381edae2ce775facd2392a5d0ab286462.tar.gz
misc/tangogps: Added to 13.0 repository
Diffstat (limited to 'misc/tangogps/tangogps.SlackBuild')
-rw-r--r--misc/tangogps/tangogps.SlackBuild56
1 files changed, 56 insertions, 0 deletions
diff --git a/misc/tangogps/tangogps.SlackBuild b/misc/tangogps/tangogps.SlackBuild
new file mode 100644
index 0000000000..6bb4194b8d
--- /dev/null
+++ b/misc/tangogps/tangogps.SlackBuild
@@ -0,0 +1,56 @@
+#!/bin/sh
+# Slackware build script for tangogps
+# Written by <pedro@gepasi.org>
+# This script is hereby put in the public domain
+
+PRGNAM=tangogps
+VERSION=0.99.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make tangogpsdocdir=/usr/doc/$PRGNAM-$VERSION
+make tangogpsdocdir=/usr/doc/$PRGNAM-$VERSION install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}